Bug 1236331 - fwknopd on Fedora Server 21, Warning: could not use the 'comment' match
Summary: fwknopd on Fedora Server 21, Warning: could not use the 'comment' match
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwknop
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-27 19:14 UTC by Jon
Modified: 2015-07-16 01:47 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-13 19:07:39 UTC


Attachments (Terms of Use)
Updated spec file with correct configure options (7.32 KB, text/x-rpm-spec)
2015-06-27 19:14 UTC, Jon
no flags Details
Revised systemd unit file for fwknopd (207 bytes, text/plain)
2015-06-27 19:15 UTC, Jon
no flags Details

Description Jon 2015-06-27 19:14:50 UTC
Created attachment 1043936 [details]
Updated spec file with correct configure options

Description of problem:
I previously reported a problem (#1195303) affecting the fwknop package in the Fedora repositories, where systemd would attempt to start the service before the network was online, causing it to fail.

fwknopd does not start after a reboot or from cold boot. The service fails and checking the service status with systemctl, it lists the status as failed and the only interesting bit of information reported is a line that says "Warning: could not use the 'comment' match".

It appears this problem stems from the use of an incorrect configure option in the package spec: '--with-firewalld' which isn't actually a supported option (see: https://github.com/mrash/fwknop/issues/157).

Building the package with the correct configure options to enable support for firewalld (--with-firewall-cmd) fixes this problem.


Version-Release number of selected component (if applicable): 2.6.5-2.fc21


How reproducible: 100% on my system, prior to installing package built with correct options.


Steps to Reproduce:
1. Install fwknop from Fedora repository (2.6.5-2.fc21)
2. Configure fwknop for SPA
3. Reboot system
4. fwknop will not start and list previously mentioned 'comment check' error if you look at `systemctl status fwknopd`
3.

Actual results: fwknopd doesn't restart upon reboot/cold boot.


Expected results: fwknopd should restart successfully after system reboot/cold boot.


Additional info: see https://github.com/mrash/fwknop/issues/157 for discussion with software author. Corrected spec file is attached. Will post corrected systemd unit file in reply.

Comment 1 Jon 2015-06-27 19:15:50 UTC
Created attachment 1043937 [details]
Revised systemd unit file for fwknopd

Comment 2 Jakub Jelen 2015-06-29 09:06:42 UTC
Commented upstream. Sorry that I didn't test it properly last time. Now I did your test case and it worked well.

Can you make sure if it works for you before I will do whole batch of updates? There is scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10237218

I also did upgrade to latest release.

Comment 3 Jakub Jelen 2015-06-30 07:21:46 UTC
Another comments upstream. I didn't receive any response here so I will push it to repositories, also with new version.

For now, there is copr repo:
https://copr.fedoraproject.org/coprs/jjelen/fwknop/

Comment 4 Fedora Update System 2015-06-30 07:48:10 UTC
fwknop-2.6.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fwknop-2.6.6-1.fc22

Comment 5 Fedora Update System 2015-06-30 08:11:47 UTC
fwknop-2.6.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fwknop-2.6.6-1.el7

Comment 6 Fedora Update System 2015-06-30 08:27:48 UTC
fwknop-2.6.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fwknop-2.6.6-1.fc21

Comment 7 Fedora Update System 2015-06-30 20:10:14 UTC
Package fwknop-2.6.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fwknop-2.6.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10930/fwknop-2.6.6-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-07-13 19:07:39 UTC
fwknop-2.6.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-07-13 19:16:19 UTC
fwknop-2.6.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-16 01:47:28 UTC
fwknop-2.6.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.